net.sf.okapi.common.resource

## Class CodeAnomalies

- java.lang.Object
- - net.sf.okapi.common.resource.CodeAnomalies

-     public class CodeAnomalies
      extends java.lang.Object

  Container class for each type of possible code anomaly. Normal use case is missing or added codes in a target `TextFragment` as compared to its source equivalent. More list types can be added if needed.

  Returned by `TextFragment.alignCodeIds(TextFragment)`

  Author:
    jimh

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeAnomalies()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAddedCode(Code code)`
    `java.lang.String` | `addedCodesAsString()`
    `void` | `addMissingCode(Code code)`
    `java.util.Iterator<Code>` | `getAddedCodesIterator()`
    `java.util.Iterator<Code>` | `getMissingCodesIterator()`
    `boolean` | `hasAddedCodes()`
    `boolean` | `hasMissingCodes()`
    `java.lang.String` | `missingCodesAsString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeAnomalies

          public CodeAnomalies()

  - ### Method Detail

    - #### addMissingCode

          public void addMissingCode(Code code)

    - #### addAddedCode

          public void addAddedCode(Code code)

    - #### hasMissingCodes

          public boolean hasMissingCodes()

    - #### hasAddedCodes

          public boolean hasAddedCodes()

    - #### getMissingCodesIterator

          public java.util.Iterator<Code> getMissingCodesIterator()

    - #### getAddedCodesIterator

          public java.util.Iterator<Code> getAddedCodesIterator()

    - #### addedCodesAsString

          public java.lang.String addedCodesAsString()

    - #### missingCodesAsString

          public java.lang.String missingCodesAsString()